from netgen.geom2d import unit_square
import netgen.meshing as netgen

from ngsolve import *
ngsglobals.msg_level=0

comm = MPI_Init()
rank = comm.rank

if rank==0:
    ngmesh = unit_square.GenerateMesh(maxh=0.05)
    ngmesh.Distribute(comm)
else:
    ngmesh = netgen.Mesh.Receive(comm)
